=begin pod

=TITLE class Any

    class Any is Mu { ... }

While C<Mu> is the root of the Perl 6 class hirarchy, C<Any> is the class
that serves as a default base class for new classes, and as the base class for
most built-in classes.

=head1 Methods

=head2 ACCEPTS

    multi method ACCEPTS(Any:D: Mu $other)

Returns C<True> if C<$other === self> (ie it checks object identity).

=head2 any

Interprets the invocant as a list and creates an C<any>-Junction from it.

=head2 all

Interprets the invocant as a list and creates an C<all>-Junction from it.

=head2 one

Interprets the invocant as a list and creates an C<one>-Junction from it.

=head2 none

Interprets the invocant as a list and creates an C<none>-Junction from it.

=end pod
